library(GSVA)
library(fgsea)
file_expr <- './gep_logfpkm_coding.txt'
data_expr <- read.csv(file_expr, sep = '\t', header = T, row.names = 1, check.names = F)

file_gmt <- './genesets.gmt'
data_gmt <- gmtPathways(file_gmt)

data_gsva <- gsva(expr = as.matrix(data_expr), data_gmt, method = 'gsva')
data_gsva <- as.data.frame(data_gsva)
outfile <- './signature_score.txt'
write.table(data_gsva, outfile, sep = '\t', row.names = T, col.names = T, quote = F)
